[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

Re: A serious bug

From: Aleksey Nogin <anogin_at_hrl.com>
Date: Mon, 28 Nov 2011 21:50:07 -0800 (PST)

I am seing the same error:

In file
 'D:\Development\SVN\Releases\TortoiseSVN-1.7.1\ext\subversion
\subversion\libsvn_wc\update_editor.c'
 line 1582: assertion failed (action == svn_wc_conflict_action_edit ||
action
 == svn_wc_conflict_action_delete || action ==
svn_wc_conflict_action_replace)

What's more, I am seing it on two different machines, for checkouts of
the same repository. One thing about those checkouts - they had been
checked out with depth=infinity, but then some of the subdirectories
were updated to lower depths (most likely prior to 1.6->1.7 wc
conversion, but I am not 100% sure). TortoiseSVN->Cleanup does not
resolve the issue - subsecuent updates still show the same error.

------------------------------------------------------
http://tortoisesvn.tigris.org/ds/viewMessage.do?dsForumId=4061&dsMessageId=2888682

To unsubscribe from this discussion, e-mail: [users-unsubscribe_at_tortoisesvn.tigris.org].
Received on 2011-11-29 07:49:38 CET

This is an archived mail posted to the TortoiseSVN Users mailing list.